package model

// PayloadEmitSocketEvent ...
type PayloadEmitSocketEvent struct {
	User        string `json:"user"`
	Message     string `json:"message"`
	Data        string `json:"data"`
	IsNotRemove bool   `json:"isNotRemove"`
}

// PayloadEventSocketReward ...
type PayloadEventSocketReward struct {
	Type    string      `json:"type"`
	Title   string      `json:"title"`
	Cash    float64     `json:"cash"`
	Message string      `json:"message"`
	Photo   interface{} `json:"photo"`
	Action  *ActionType `json:"action"`
}
