package subject

import "fmt"

// getSegmentValue ...
func getProductValue(val string) string {
	return fmt.Sprintf("%s.%s", prefixes.Product, val)
}

var Product = struct {
	ApplyRequest        string
	CreateRequestStep   string
	ProcessApplyRequest string
	RequestChangeStatus string
}{
	ApplyRequest:        getProductValue("apply_request"),
	CreateRequestStep:   getProductValue("create_request_step"),
	ProcessApplyRequest: getProductValue("process_apply_request"),
	RequestChangeStatus: getProductValue("request_change_status"),
}
