package client

import (
	"git.selly.red/Selly-Modules/natsio"
	"git.selly.red/Selly-Modules/natsio/model"
	"git.selly.red/Selly-Modules/natsio/subject"
)

// Socket ...
type Socket struct{}

// GetSocket ...
func GetSocket() Socket {
	return Socket{}
}

// EmitSocketEventDataReward ...
func (s Socket) EmitSocketEventDataReward(p model.PayloadEmitSocketEvent) error {
	_, err := natsio.GetServer().Request(subject.Socket.EmitEventReward, toBytes(p))
	return err
}

// EmitEventToUser ...
func (s Socket) EmitEventToUser(p model.PayloadEmitSocketEvent) error {
	_, err := natsio.GetServer().Request(subject.Socket.EmitEventToUser, toBytes(p))
	return err
}
